# Copyright 2014 NYBX Inc.
# All rights reserved.

"""
:module: ledgerx.commands
:synopsis: Commands module to issue orders or quotes to the exchange.
:author: Amr Ali <amr@ledgerx.com>
"""

from ledgerx.mixin import public
from ledgerx.utils import import_versions

CommandVersions = import_versions(__file__, 'ledgerx.commands')

@public
def get_cmd_version(version):
    """\
    Get a specific commands module that corresponds to a particular
    protocol version.

    :param version: A version string in the format major.minor.build.
    :returns: None or a commands module corresponding to the version supplied.
    """
    if version not in CommandVersions:
        return None # version not found
    return CommandVersions[version]

