# Copyright 2014 NYBX Inc.
# All rights reserved.

"""
:module: ledgerx.test.test_commands
:synopsis: Unit tests for client protocol commands.
:author: Amr Ali <amr@ledgerx.com>

This test module is only concerned with version-agnostic utilities.
See <test_commands_x_x_x> modules for specific command versions.
"""

import unittest

from ledgerx.mixin import public
from ledgerx.commands import CommandVersions, get_cmd_version

class TestCommands(unittest.TestCase):

    def test_detected_versions(self):
        self.assertIn('0.0.1', CommandVersions)
        self.assertEqual(len(CommandVersions), 1)

    def test_get_cmd_version(self):
        self.assertIsNone(get_cmd_version('0.0.0'))
        self.assertEqual(get_cmd_version('0.0.1'), CommandVersions['0.0.1'])

