# Copyright 2014 NYBX LLC.
# All rights reserved.

"""
:module: ledgerx.test.test_utils
:synopsis: Unit tests for the utils module.
:author: Amr Ali <amr@ledgerx.com>
"""

import unittest

from ledgerx.utils.meta import SingletonAbstractMeta, KindSingletonMeta

class TestUtils(unittest.TestCase):

    def test_abs_singleton_meta(self):
        class __TestC(object, metaclass=SingletonAbstractMeta): pass
        with self.assertRaises(NotImplementedError):
            __TestC()

    def test_kind_singleton_meta(self):
        class __TestC(object, metaclass=KindSingletonMeta): pass
        self.assertEqual(id(__TestC()), id(__TestC()))
        self.assertNotEqual(id(__TestC.new()), id(__TestC()))

